package com.da.dangan.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.da.common.annotation.Excel;
import com.da.common.core.domain.BaseEntity;

/**
 * 档案图片信息记录对象 da_pictures_recard
 * 
 * @author hs
 * @date 2024-05-13
 */
public class DaPicturesRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 图片名称 */
    @Excel(name = "图片名称")
    private String picName;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String picUrl;

    /** 物理书架ID */
    @Excel(name = "物理书架ID")
    private Long wlsjId;

    /** 物理书架路径 */
    @Excel(name = "物理书架路径")
    private String wlsjPath;

    /** 档案目录ID */
    @Excel(name = "档案目录ID")
    private Long muId;

    /** 档案目录路径 */
    @Excel(name = "档案目录路径")
    private String muPath;

    /** 是否已经识别 */
    @Excel(name = "是否已经识别")
    private String recognize;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPicName(String picName) 
    {
        this.picName = picName;
    }

    public String getPicName() 
    {
        return picName;
    }
    public void setPicUrl(String picUrl) 
    {
        this.picUrl = picUrl;
    }

    public String getPicUrl() 
    {
        return picUrl;
    }
    public void setWlsjId(Long wlsjId) 
    {
        this.wlsjId = wlsjId;
    }

    public Long getWlsjId() 
    {
        return wlsjId;
    }
    public void setWlsjPath(String wlsjPath) 
    {
        this.wlsjPath = wlsjPath;
    }

    public String getWlsjPath() 
    {
        return wlsjPath;
    }
    public void setMuId(Long muId) 
    {
        this.muId = muId;
    }

    public Long getMuId() 
    {
        return muId;
    }
    public void setMuPath(String muPath) 
    {
        this.muPath = muPath;
    }

    public String getMuPath() 
    {
        return muPath;
    }
    public void setRecognize(String recognize) 
    {
        this.recognize = recognize;
    }

    public String getRecognize() 
    {
        return recognize;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("picName", getPicName())
            .append("picUrl", getPicUrl())
            .append("wlsjId", getWlsjId())
            .append("wlsjPath", getWlsjPath())
            .append("muId", getMuId())
            .append("muPath", getMuPath())
            .append("recognize", getRecognize())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
